Remove a user's address by type
DELETE/api/users/:userId/addresses/:type
Requires admin token. Removes the user's address of the given type. Supported types: policy.
Request
Path Parameters
userId stringrequired
type stringrequired
Address type
Example: policy
Responses
- 204
- 400
- 401
- 403
- 404
- 500
Removed.
Unknown address type. Possible error codes
-
ERROR_INVALID_PARAMETERS
- application/json
- Schema
- Example (from schema)
Schema
error_code string
Error code
error_message string
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
error_code string
Error code
error_message string
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User or address not found. Possible error codes
-
ERROR_USER_NOT_FOUND
-
ERROR_ADDRESS_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
error_code string
Error code
error_message string
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
error_code string
Error code
error_message string
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Loading...